%global archivename ldacBT
%global sonamebase 2

Summary:        A lossy audio codec for Bluetooth connections
Name:           libldac
Version:        %{sonamebase}.0.2.3
Release:        3%{?dist}
License:        ASL 2.0
URL:            https://github.com/EHfive/ldacBT
Source0:        %{url}/releases/download/v%{version}/%{archivename}-%{version}.tar.gz

BuildRequires:  cmake3 gcc

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description
LDAC is an audio coding technology developed by Sony. It can transmit High-Resolution Audio 
content and supports Bluetooth connection.

%description    devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%autosetup -n %{archivename}

%build
%cmake3 -DLDAC_SOFT_FLOAT=OFF -DINSTALL_LIBDIR=%{_libdir}

%cmake3_build

%install
%cmake3_install

%files
%license LICENSE
%{_libdir}/libldacBT_abr.so.%{sonamebase}
%{_libdir}/libldacBT_abr.so.%{sonamebase}.*
%{_libdir}/libldacBT_enc.so.%{sonamebase}
%{_libdir}/libldacBT_enc.so.%{sonamebase}.*
%{_libdir}/libldacBT_abr.so
%{_libdir}/libldacBT_enc.so

%files devel
%dir %{_includedir}/ldac
%{_includedir}/ldac/ldacBT_abr.h
%{_includedir}/ldac/ldacBT.h
%{_libdir}/pkgconfig/ldacBT-abr.pc
%{_libdir}/pkgconfig/ldacBT-enc.pc

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2.3-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 29 2022 Wang Guodong <gordonwwang@tencent.com> - 2.0.2.3-1
- package init.
